Update teamspace user
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users/{user_id}"
payload = { "agent_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_ids: ['<string>']})
};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_ids": [
"<string>"
]
}
'{
"id": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"permissions": {
"role": "owner",
"agent_ids": [
"<string>"
]
}
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Teamspace Users
Update teamspace user
Update user permissions in the teamspace.
PATCH
/
organization
/
teamspaces
/
{teamspace_id}
/
users
/
{user_id}
Update teamspace user
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users/{user_id}"
payload = { "agent_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_ids: ['<string>']})
};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_ids": [
"<string>"
]
}
'{
"id": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"permissions": {
"role": "owner",
"agent_ids": [
"<string>"
]
}
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Path Parameters
Body
application/json
Response
User updated successfully
Represents a user in a teamspace